FVarLevel::ValueTag Struct Reference

Public Types | Public Member Functions | Public Attributes | List of all members
FVarLevel::ValueTag Struct Reference

`#include <fvarLevel.h>`

## Public Types
typedef unsigned char | ValueTagSize

## Public Member Functions
| ValueTag ()
void | clear ()
bool | isMismatch () const
bool | isCrease () const
bool | isCorner () const
bool | isSemiSharp () const
bool | isInfSharp () const
bool | isDepSharp () const
bool | hasCreaseEnds () const
bool | hasInfSharpEdges () const
bool | hasInfIrregularity () const
Level::VTag | combineWithLevelVTag (Level::VTag) const

## Public Attributes
ValueTagSize | _mismatch: 1
ValueTagSize | _xordinary: 1
ValueTagSize | _nonManifold: 1
ValueTagSize | _crease: 1
ValueTagSize | _semiSharp: 1
ValueTagSize | _depSharp: 1
ValueTagSize | _infSharpEdges: 1
ValueTagSize | _infIrregular: 1

## Detailed Description

Definition at line 108 of file fvarLevel.h.

## Member Typedef Documentation

## ◆ ValueTagSize

typedef unsigned char ValueTagSize

Definition at line 124 of file fvarLevel.h.

## Constructor & Destructor Documentation

## ◆ ValueTag()

ValueTag | ( |  | ) |
| inline

Definition at line 109 of file fvarLevel.h.

## Member Function Documentation

## ◆ clear()

void clear | ( |  | ) |
| inline

Definition at line 111 of file fvarLevel.h.

## ◆ combineWithLevelVTag()

Level::VTag combineWithLevelVTag | ( | Level::VTag | levelTag | ) | const
| inline

Definition at line 387 of file fvarLevel.h.

## ◆ hasCreaseEnds()

bool hasCreaseEnds | ( |  | ) | const
| inline

Definition at line 119 of file fvarLevel.h.

## ◆ hasInfIrregularity()

bool hasInfIrregularity | ( |  | ) | const
| inline

Definition at line 122 of file fvarLevel.h.

## ◆ hasInfSharpEdges()

bool hasInfSharpEdges | ( |  | ) | const
| inline

Definition at line 121 of file fvarLevel.h.

## ◆ isCorner()

bool isCorner | ( |  | ) | const
| inline

Definition at line 115 of file fvarLevel.h.

## ◆ isCrease()

bool isCrease | ( |  | ) | const
| inline

Definition at line 114 of file fvarLevel.h.

## ◆ isDepSharp()

bool isDepSharp | ( |  | ) | const
| inline

Definition at line 118 of file fvarLevel.h.

## ◆ isInfSharp()

bool isInfSharp | ( |  | ) | const
| inline

Definition at line 117 of file fvarLevel.h.

## ◆ isMismatch()

bool isMismatch | ( |  | ) | const
| inline

Definition at line 113 of file fvarLevel.h.

## ◆ isSemiSharp()

bool isSemiSharp | ( |  | ) | const
| inline

Definition at line 116 of file fvarLevel.h.

## Member Data Documentation

## ◆ _crease

ValueTagSize _crease

Definition at line 130 of file fvarLevel.h.

## ◆ _depSharp

ValueTagSize _depSharp

Definition at line 132 of file fvarLevel.h.

## ◆ _infIrregular

ValueTagSize _infIrregular

Definition at line 135 of file fvarLevel.h.

## ◆ _infSharpEdges

ValueTagSize _infSharpEdges

Definition at line 134 of file fvarLevel.h.

## ◆ _mismatch

ValueTagSize _mismatch

Definition at line 127 of file fvarLevel.h.

## ◆ _nonManifold

ValueTagSize _nonManifold

Definition at line 129 of file fvarLevel.h.

## ◆ _semiSharp

ValueTagSize _semiSharp

Definition at line 131 of file fvarLevel.h.

## ◆ _xordinary

ValueTagSize _xordinary

Definition at line 128 of file fvarLevel.h.

The documentation for this struct was generated from the following file:

- opensubdiv/vtr/fvarLevel.h